Last Comment Bug 745224 - nss_Init leaks memory
: nss_Init leaks memory
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: 3.12.10
: All All
: P2 normal (vote)
: 3.14
Assigned To: Kamil Dudka
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 09:44 PDT by Elio Maldonado
Modified: 2012-05-31 09:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Kamil's patch adapted for current sources (640 bytes, patch)
2012-04-13 09:47 PDT, Elio Maldonado
rrelyea: review+
Details | Diff | Splinter Review

Description Elio Maldonado 2012-04-13 09:44:29 PDT
As originally reported by Kamil Dudka for Red Enterprise Linux:

Kamil Dudka 2012-01-09 08:27:09 EST

Version-Release number of selected component (if applicable):
nss-3.12.10-17.1.el6


How reproducible:
100 %


Steps to Reproduce:
1. patch curl by attachment #525555 [details] [diff] [review]
2. run this test-case: attachment #551005 [details] [diff] [review]


Actual results:
==17888== 512 bytes in 16 blocks are definitely lost in loss record 75 of 86
==17888==    at 0x4A05FDE: malloc (vg_replace_malloc.c:236)
==17888==    by 0x331A412574: GrowStuff (prprf.c:1076)
==17888==    by 0x331A411BD7: dosprintf (prprf.c:137)
==17888==    by 0x331A412439: PR_vsmprintf (prprf.c:1127)
==17888==    by 0x331A41272C: PR_smprintf (prprf.c:1105)
==17888==    by 0x5581D5C: nss_MkConfigString (nssinit.c:205)
==17888==    by 0x55826E9: nss_Init (nssinit.c:597)
==17888==    by 0x5582DFA: NSS_InitContext (nssinit.c:804)
==17888==    by 0x4EC8776: nss_init_core (nss.c:905)
==17888==    by 0x4EC8914: nss_init (nss.c:949)
==17888==    by 0x4EC8F7F: Curl_nss_connect (nss.c:1167)
==17888==    by 0x4EBC00A: Curl_ssl_connect (sslgen.c:185)
Comment 1 Elio Maldonado 2012-04-13 09:47:35 PDT
Created attachment 614831 [details] [diff] [review]
Kamil's patch adapted for current sources
Comment 2 Robert Relyea 2012-04-13 16:21:58 PDT
Comment on attachment 614831 [details] [diff] [review]
Kamil's patch adapted for current sources

r+ rrelyea
Comment 3 Elio Maldonado 2012-04-13 18:45:56 PDT
Patch applied to the trunk:
Checking in mozilla/security/nss/lib/nss/nssinit.c;
/cvsroot/mozilla/security/nss/lib/nss/nssinit.c,v  <--  nssinit.c
new revision: 1.115; previous revision: 1.114

Note You need to log in before you can comment on or make changes to this bug.